Page MenuHomePhabricator

Convert Extension:EmailAuthorization to use OOUI
Closed, ResolvedPublic

Assigned To
Authored By
Jayprakash12345
Apr 12 2018, 5:52 PM
Referenced Files
F17755207: Capture1.JPG
May 4 2018, 10:38 PM
F17754531: Capture.JPG
May 4 2018, 10:38 PM
F17245749: after.JPG
Apr 22 2018, 10:45 AM
F17019634: image.png
Apr 17 2018, 3:06 AM
F16968262: after.JPG
Apr 14 2018, 5:17 AM
F16937300: before.JPG
Apr 12 2018, 6:02 PM
F16937299: after.JPG
Apr 12 2018, 6:02 PM

Description

Before:
before.JPG (612×1 px, 82 KB)
and After:
Capture.JPG (605×1 px, 83 KB)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 425873 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/EmailAuthorization@master] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/425873

Jayprakash12345 updated the task description. (Show Details)

Change 425873 merged by jenkins-bot:
[mediawiki/extensions/EmailAuthorization@master] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/425873

Sorry to belated response, but above resulted screenshots are wrong on several levels from an UI Standardization standpoint and we should follow-up quickly or revert the merged change and introduce a new.
The primary button appearance is meant to be limited to one action per view.
The buttons in the three different fieldsets should be quiet progressive buttons with the “Revoke” one considered to be a quiet destructive?

Without having the interface at my fingertips is there even a primary action from all the ones? If unsure, it's better to also turn both “Show…” buttons at the end of the form into quiet progressive buttons.

Yes, the "before" UI above is one I built in a hurry to serve a purpose. It is not beautiful nor does it conform to good UI practices. The OOUI conversion was no worse than the original :-)

@cicalese Just to voice it, I value and appreciate @Jayprakash12345's recent work on OOUIfication of interfaces and you reviewing it. There's a good number done in little time.
The case here is, that we're turning all “normal” buttons into “primary action” buttons, which is an issue from a user-experience point of view. Understanding the uses cases of all forms is sometimes hard. In this specific case, where I've seen this form for the first time in the screenshots above, I'd agree with you, a real design process invoked wouldn't end up in such form representation. Nevertheless let's achieve what we can achieve while we're at changing it over to OOUI and amending the buttons falls for me into necessary and possible achievements category. :)

@Volker_E Let it be. Let's start again

after.JPG (605×1 px, 78 KB)

@cicalese and @Volker_E Please give me feedback on above screenshot.

@Jayprakash12345 , I defer to @Volker_E 's expertise with respect to the look and feel of the UI.

@Jayprakash12345 As I've said above, “quiet progressive” and destructive buttons seem to be a better choice here altogether.

image.png (292×466 px, 29 KB)

In general, that form would need Design inputs. But it's no priority for us right now.

Change 428141 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/EmailAuthorization@master] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/428141

@Jayprakash12345 “Show authorized email addresses and domains” and “Show all wiki users” buttons need to be “quiet progressive” buttons as they are both same priority and higher priority than other non-destructive buttons on the view. Keeping “Revoke” quiet destructive is a fine compromise here.
If possible the two form submitting buttons should be in a HorizontalLayout as well.

@Jayprakash12345 “Show authorized email addresses and domains” and “Show all wiki users” .... well.

@Volker_E Current Patch Output after amending

Capture.JPG (605×1 px, 83 KB)

Sir, I have a suggestion for bottom buttons, How it will If Both buttons should be on the right side?

Capture1.JPG (606×1 px, 83 KB)

@Jayprakash12345 As one of our principles is top-to-bottom alignment for simpler orientation (not having both, eye movement top-to-bottom, interchanging with left-right for accomplishing task), I suggest button alignment on the starting side (left in LTR languages, right in RTL languages, accomplished automatically).

Is there anything else that needs to be done here?

Volker_E assigned this task to Jayprakash12345.
Volker_E removed a project: Patch-For-Review.

Seems good to be set to “resolved”. Thanks @Jayprakash12345!

Change 428141 had a related patch set uploaded (by Cicalese; author: Jayprakash12345):

[mediawiki/extensions/EmailAuthorization@master] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/428141

Change 428141 merged by jenkins-bot:

[mediawiki/extensions/EmailAuthorization@master] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/428141

Change 751829 had a related patch set uploaded (by Cicalese; author: Jayprakash12345):

[mediawiki/extensions/EmailAuthorization@REL1_35] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/751829

Change 751830 had a related patch set uploaded (by Cicalese; author: Jayprakash12345):

[mediawiki/extensions/EmailAuthorization@REL1_36] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/751830

Change 751831 had a related patch set uploaded (by Cicalese; author: Jayprakash12345):

[mediawiki/extensions/EmailAuthorization@REL1_37] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/751831

Change 751829 merged by jenkins-bot:

[mediawiki/extensions/EmailAuthorization@REL1_35] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/751829

Change 751831 merged by jenkins-bot:

[mediawiki/extensions/EmailAuthorization@REL1_37] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/751831

Change 751830 merged by jenkins-bot:

[mediawiki/extensions/EmailAuthorization@REL1_36] Convert Special:EmailAuthorizationConfig to use OOUI

https://gerrit.wikimedia.org/r/751830